import localStronge from "@/api/localData";
export default {
  data() {
    return {
      path: process.env.NODE_ENV === 'development' ?
        ("ws://" + localStronge.getServiceip().ip + ":9082/ws") : 'ws://' + window.location.hostname + ":9082/ws",
      socket: ""
    }
  },
  methods: {
    init: function () {
      if (typeof (WebSocket) === "undefined") {
        alert("您的浏览器不支持socket")
      } else {
        // 实例化socket
        this.socket = new WebSocket(this.path)
        // 监听socket连接
        this.socket.onopen = this.open
        // 监听socket错误信息
        this.socket.onerror = this.error
        // 监听socket消息
        this.socket.onmessage = this.getMessage
        this.socket.onclose = this.onclose
      }
    },
    socketClose() {
      this.socket = new WebSocket(this.path)
      this.socket.onclose = this.onclose
    },
    onclose: function () {
      console.log("socket断开成功")
    },
    open: function () {
      console.log("socket连接成功")
    },
    error: function () {
      console.log("连接错误")
    },
    getMessage: function (msg) {
      this.$store.commit("websocket/GET_NUM", msg.data)
    },
    send: function () {
      this.socket.send(params)
    },
    close: function () {
      console.log("socket已经关闭")
    }
  }
}
